:root{
  --main: #78866b;
  --outline: #4d5d53;
  --secondary: #738678;
  --accentg: #8f9779;
  --accentb: #738276;
}

body {
  background: #f7d5f7 url("darkforest.jpg"); /*Replace with your own background*/
	background-size: cover;
	background-attachment: fixed;
  background-position:center;
	font-family: "VT-100", fixedsys, System, monospace;
	font-size: 13px;
	cursor: url("/buttons/fairynoback.png"), auto;
  }
  
center {
  text-align: center;
  }
  
a {
  color: #3c5832;
  }




/*All sidebars go in here.*/  
.sidebar-group {
  position: fixed;
  top: 0;
  margin-top: 25px;
  }

.mirror-sidebar-group {
  position: fixed;
  top: 0;
  margin-top: 25px;
}

.mirror-sidebar {
  width: 160px;
  margin-left: 1065px;
  margin-top: 25px;
}

.mirror-mini-sidebar {
  margin-bottom: 25px;
}

.mirror-sidebar-box {
  width: 160px;
  display: inline-block;
  vertical-align: top;
  margin-left: 880px;
}
  
/*Code shared by all window-style boxes. To see what different specific sidebar classes look like, check the demo page.*/
.sidebar, .mini-sidebar, .wide-sidebar, .box, .mirror-sidebar, .mirror-mini-sidebar, .mirror-wide-sidebar {
  background: var(--main);
  border-radius: 5px;
  border: 1px solid var(--outline);
  box-shadow: 2px 2px var(--secondary);
  }
  
/*Prevent image overflow.*/
.sidebar img, .mini-sidebar img, .wide-sidebar img, .box img, .mirror-sidebar img, .mirror-mini-sidebar img, .mirror-wide-sidebar img {
  max-width: 100%;
  height:auto; /*Prevent squishing*/
  }
  
.sidebar, .sidebar-box {
  display: inline-block;
  vertical-align: top;
  width: 160px;
  }
  
/*Container for vertical stacks of multiple mini-sidebars*/
.sidebar-box {
  margin-left: 10px;
  }
  
.sidebar {
  width: 160px;
  margin-left: 25px;
  }
  
.mini-sidebar {
  margin-bottom: 25px;
  }
  
.wide-sidebar {
  margin-left: 25px;
  margin-top: 25px;
  width: 340px;
  min-height: 150px;
  }
  
/*Inside/main text of window boxes.*/
.inner {
  padding: 10px;
  padding-bottom: 5px;
  padding-top: 0px;
  }

/*The title bar at the top of window boxes.*/
.title-bar, .box-title-bar {
  background: var(--outline);
  color: white;
  font-weight: bold;
  padding: 5px;
  padding-top: 3px;
  padding-bottom: 3px;
  }
  
/*The title bar of boxes has slightly more padding, since there's more room to space text.*/
.box-title-bar {
  padding: 7px;
  padding-top: 5px;
  padding-bottom: 5px;
  }
  
/*For the symbol in the top right corner.*/
.right {
  float: right;
  margin-right: 5px;
  font-family: "Arial", sans-serif;
  line-height: 12px;
  }
  
/*Round circular image.*/
.icon {
  border: #80aa6f solid 2px;
  border-radius: 50%;
  }
  
/*Main body text boxes.*/
.box {
  margin-top: 25px;
  margin-left: 400px;
  width: 455px;
  margin-bottom: 25px;
  }
  
/*formatting links, graphics*/ 
.sidebar .buttons {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  row-gap: 5px;
}

.box .graphics .stamps, .graphics .buttons1, .graphic .buttons2, .graphics .blinkies {
  display: flex;
  flex-wrap: wrap;
  padding: 5px;
  row-gap: 5px;
  column-gap: 5px;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
}

.stamps img {
  height: 56px;
  width: 99px;
}

.buttons1 img{
  height: 15px;
  width: 80px;
} 

.buttons2 img{
  height: 31px;
  width: 88px;
}

.blinkies img{
  height: 20px;
  width: 150px;
}

.box .webrings{
  display: grid;
  place-items: center;
  padding: 5px 10px;

}

/*random graphics everywhere*/ 
#ds-graphic {
  position: fixed;
  margin-left: 1065px;
}

/*this part is a joke. no need to use it.*/
.big-quote {
  font-size: 32px;
  color: #3c5832;
  letter-spacing: 6px;
  word-spacing: 2px;
  font-family: "Garamond", "Bookman", serif;
  position: fixed;
  margin-left: 1050px;
  margin-top: 300px;
  top: 0;
  width: 300px;
  }
  
wide {
  letter-spacing: 16px;
  }
  
midwide {
  letter-spacing: 3px;
  }